
%define plugin	osdpip
%define name	vdr-plugin-%plugin
%define version	0.0.8
%define rel	14

Summary:	VDR plugin: OSD Picture-in-Picture
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.magoa.net/linux/
Source:		http://www.magoa.net/linux/files/vdr-%plugin-%version.tar.bz2
Patch0:		osdpip-0.0.8-include.patch
Patch1:		vdr-osdpip-0.0.8-extra-qualification.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	libffmpeg-devel
Requires:	vdr-abi = %vdr_abi

%description
OSD Picture-in-Picture is a PlugIn that displays the current channel in a
small box on the screen (default upper right corner). You can switch up and
down now, watching the progress of the previous channel in the box. Quality is
not too good yet, and only I-Frames are displayed.
The plugin supports four modes:
- greyscaled (16 shades of grey)
- greyscaled (256 shades of grey)
- 256 colors with fixed palette
- 128 colors with variable palette
They all work with an ordinary vdr installation.
The plugin has the possibility to choose the PiP size (in the setup menu from
predefined sizes) and position (by moving it around using the cursor keys) as
well as crop dimensions.

%prep
%setup -q -n %plugin-%version

%patch0 -p1 -b .include
%patch1 -p1 -b .extra

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README COPYING HISTORY TODO




%changelog
* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-14mdv2008.1
+ Revision: 145157
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-13mdv2008.1
+ Revision: 103175
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-12mdv2008.0
+ Revision: 50025
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-11mdv2008.0
+ Revision: 42111
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-10mdv2008.0
+ Revision: 22763
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-9mdv2007.0
+ Revision: 90950
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-8mdv2007.1
+ Revision: 74063
- rebuild for new vdr
- Import vdr-plugin-osdpip

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-1mdv2007.0
- initial Mandriva release

